/* miembros.php */
@charset "UTF-8";
@import url("Variables.css");
body.loaded #contenido article {
    animation: fadeIn 0.6s ease;
}
 @keyframes fadeIn {
            0% { opacity: 0.1; }
            100% { opacity: 1; }
}
.disabled, 
a.disabled {
    color:var(--desactivado) !important; background-color: transparent;
    &:hover {
        color: var(--desactivado) !important; font-style: normal !important;cursor:auto;
    }
}
hr {
    margin: .0;
}
/* Dropdown menu should be hidden by default */
.dropdown {
    width: 100%; 
    text-align: center !important;
    margin: auto !important;
    top: .5rem;
    &:hover .dropdown-menu {
        display: block;
    }
    i.before:before, & i.after::after {
        display: inline-block;
        height: 12px;
        width: 12px;  
        content: url(../../img/iconos/caret-down.svg);
        vertical-align: -4px;
    }
    i.before:before {
        margin-right: 24px;
    }  
    i.after:after {
        margin-left: 12.8px;
    }    
    &:hover i.before{
        display: inline-block;
        height: 20px;
        width: 20px;  
        content: url(../../img/iconos/caret-down.svg);
        margin-right: 19px;
        vertical-align: -6px;
        transform: rotate(180deg);
    }
    &:hover i.after{
        display: inline-block;
        height: 20px;
        width: 20px;  
        content: url(../../img/iconos/caret-down.svg);
        margin-left: 9px;
        vertical-align: -6px;
        transform: rotate(180deg);
    }
    button {
        letter-spacing: 0.5rem;
        width: 100%;
        padding: 0.4rem;
        margin-top: 2.2rem;
        text-align: center;
        margin: auto;
        &.btn {
            display: block;
            background-color: var(--text-color-sataa);
            color: white;
            font-size: 1.1rem;
            pointer-events:none; /* evitamos cualquier acción al pulsar con el botón derecho sobre el botón */
            border-radius: 1.1rem 1.1rem 0 0;
            &:hover {
                background-color: var(--text-light-color-sataa);
                color: white;
                font-size: 1.1rem;
                cursor: auto;
            }
        }    
        &:focus {
            outline: none ; border: none; box-shadow: 0 0 0 0 rgba(0, 0, 0, 0) !important ; text-decoration: none; 
        }
    }
    .dropdown-menu {
        display: none;    /* hide the dropdown by default */
        position: absolute;
        background-color: rgba(210, 224, 235, 0.9);
        margin-left: 1.5rem;
        right: auto;
        left: 50%;
        -webkit-transform: translate(-50%, 0);
        -o-transform: translate(-50%, 0);
        transform: translate(-50%, 0);
        /* Links inside the dropdown */
        a {
            color: black;
            padding: 0 1rem;
            text-decoration: none;
            display: block;
            &:hover {
                color: white !important;
                font-style: italic;
                background-color: var(--text-light-color-sataa);
            }
            &:focus {
                outline: none ; border: none; box-shadow: 0 0 0 0 rgba(0, 0, 0, 0); text-decoration: none; 
            }    
        }
        /* Show the dropdown menu on hover */
        &.scrollable-menu {
            height: auto;
            max-height: 10rem;
            width: 100%;
            margin: 0 auto;
            overflow-x: hidden;
            outline: none;
            font-size: 1.1rem;
            text-align: center;
        }    
    }
    /* 
    .dropdown-menu a:focus {
        background-color: var(--text-color-sataa); color: white; font-style: italic;
    } */
}
/* para todas las páginas del personal del dpto. */
#contenido.miembros .main__section {
        height: calc(100vh - 245px);overflow:auto; 
}
#contenido.miembros .main__section .row {
    padding-top: .5rem;
}
figure {
    max-width: 100%;
    height: auto;
    &.cv {
        display: inline-block;
        margin: 0;
        padding: 0 0 10px 0;
        text-align: center;
        vertical-align: top;
        margin-right: 0;
        & img {
            -webkit-box-shadow: 10px 10px 5px #888888;
            box-shadow: 10px 10px 5px #888888;
            border-radius: 10px;
            max-width: 100%;
            height:auto;
        }    
        img {
            margin-top: 0;
            -webkit-box-shadow: 10px 10px 5px #888888;
            box-shadow: 10px 10px 5px #888888;
            border-radius: 10px;
        }
        figcaption {
            font-size: 1em;
            text-align: center;
            max-width: 200px;
            height: auto;
            padding-top: 5px;
        }
    }
}

.nombre__profesorado {
    color: var(--text-color-sataa);
    font-weight: bold;
    font-size: 1.5em;
    padding-bottom: 0 !important;
    margin-bottom: 0 !important;
    width: 70%;
    display: inline-block;
    letter-spacing: 0.2rem;
    color: var(--text-color-sataa);
    padding: 0;
    border-bottom: 1px solid var(--text-color-sataa);
    & .cv a {
    /* ficha profesores */
        color: white;
        text-shadow: none;
        letter-spacing: 0.1rem ;
        font-size: 0.6em;
        font-style: italic !important;
        font-weight: normal;
        &.pdf::after{
            vertical-align:baseline;
        }    
    }
    a.cv__upm::after {
        display: inline-block;
        background-size: 20px 20px;
        height: 20px;
        width: 20px; 
        content: url(../img/iconos/cv.png) !important;
        vertical-align: -1px !important;
    }
    /* pdf icon */
    a:nth-child(1):after {
        display: inline-block;
        background-size: 24px 24px;
        height: 1.1rem;
        width: 1.1rem;  
        content: url(../../img/iconos/file-pdf.svg);
        margin-left: .5rem;
        vertical-align: 1px;
    }
    /* todos los enlaces href="#" no mostrarán el icono pdf o linkedin */
    a[href="#"]::after {
        display: none;
        content: none;
      }

    a:nth-child(2):after {
        display: inline-block;
        height: 1.1rem;
        width: 1.1rem;  
        content: url(../../img/Iconos/linkedin-in.svg);
        margin-left: 2px;
        vertical-align: -2px; 
    }
}
/* ver en main.css */
/* .listado {
	padding: 0;
	list-style-type: none;
	& li {
		padding: 0 0 0 15px;
		margin-left: 10px;
		&.titulo {
			padding: 0 0 7px 0;
			font-size: 1.1em;
			font-weight: bold;
			list-style-type: none !important;
			background: none !important;
			color: var(--text-color-sataa);
		}	
	}
} */

.listado__miembros {
    padding: 0 0 0 2rem;
    font-size: 1.1rem ;
    li {  
        list-style-type: disc;  
        padding: 0;
		margin-left: 10px;
        &::marker {
            color: var(--text-color-sataa);
        }
        &:first-child {
            padding-top: .5rem;
           
        }
        &.details.curso {
            display: flex;
            align-items: center;
            justify-content: center;
            margin-right: 20%;
            
            div {
                width: fit-content;
                background-color: rgba(255, 255, 255, 0.3);            
                list-style-type: none;
                margin-top: 2rem;
                /* margin-left: 19%; */
                border-top: 1px solid #ccc;
                border-left: 1px solid #ccc;
                border-bottom: #ccc 3px ridge;
                border-right: #ccc 3px ridge;
                font-weight: bold;
                -webkit-box-shadow: 2px 2px 2px #888888;
                box-shadow: 2px 2px 2px #888888;
                padding: .5rem;
            }
            p {
                color: var(--text-color-sataa);
                font-weight: bold;
                font-size: 1.1em;
                font-style: italic;
                padding-bottom: 0;
                margin-bottom: 0;
            }
            a {
                display: block;
                text-decoration:none;
                font-weight: normal;
                padding: 0 10px 0 10px;
                &:hover {
                    text-decoration: underline;
                    font-style: normal;
                }    
            }
        } 
        &.details {            

            list-style-type: none;
            ol { 
                padding: 0 0 0 15px;
                list-style-type: none;
                li {
                    list-style-type: disc;
                    &:first-child {
                        padding-top: .5rem;
                    }
                    &::marker {
                        color: var(--text-color-sataa);
                    }   
                }
                ol  {
                    padding: 0 0 0 5px;
                    &::marker {
                        color: var(--text-color-sataa);
                    } 
                    li {
                        background: none;
                        list-style-type: circle;
                        padding: 0;
                        margin-left: .75rem;
                        &:last-child {
                            padding-bottom: .5rem;
                        }
                    }   
                }
            }
            & summary {
                margin-top: 1rem;
                padding-top: .5rem;
                font-size: 1.1rem;
                font-weight: bold;
                color: var(--text-color-sataa); 
                &.experiencia__profesional {   
                    margin-left: -1.4rem;
                    &::after {
                        margin-left: 1rem;
                    }
                &::before {
                    content: url(../../img/Iconos/address-card-regular.svg);
                    display: inline-block;
                    height: 1.1rem;
                    width: 1.1rem; 
                    }    
                }
                &.experiencia__docente {
                    margin-left: -1.4rem;
                    &::before {
                        content: url(../../img/Iconos/chalkboard-user_blue.svg);
                        display: inline-block;
                        height: 1.1rem;
                        width: 1.1rem; 
                    }
                    &::after {
                        margin-left: 2.6rem;
                    }
                }
            }
        }    
    }
    & > li:first-child {
        color: var(--text-color-sataa);
        font-weight: bold;
    }
}

details summary.experiencia__profesional::after, details summary.experiencia__docente::after {
    float: none;
    content: url(../../img/Iconos/caret-down_blue.svg);
    display: inline-block;
    height: .8rem;
    width: .8rem; 
    vertical-align: -4px;
}
details[open] summary.experiencia__profesional::before {
    content: url(../../img/Iconos/chalkboard-user_blue.svg);
    height: 1.2rem;
    width: 1.2rem; 
  }
 details[open] summary.experiencia__docente::before {
    content: url(../../img/Iconos/user-graduate_blue.svg);
}
details[open] summary.experiencia__profesional::after {
    content: url(../../img/Iconos/caret-up-solid_blue.svg);
    margin-left: 1rem;
    vertical-align: -6px;
} 
details[open] summary.experiencia__docente::after {
    content: url(../../img/Iconos/caret-up-solid_blue.svg);
    margin-left: 2.6rem;
    vertical-align: -6px;
}
.details-content {
    animation: sweep .4s ease;
}

/* ANIMACIÓN DEL TEXTO OCULTO */
/* details[open] summary.experiencia__profesional ~ *,  details[open] summary.experiencia__docente ~ * {
    animation: sweep 1s ease;
} */



